Loading...
Searching...
No Matches
ON_ClassId Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_object.h>`

## Public Member Functions

| ON_ClassId (const char *sClassName, const char *sBaseClassName, ON_Object *(*create)(), const char *sUUID)
| ON_ClassId (const char *sClassName, const char *sBaseClassName, ON_Object *(*create)(), bool(*copy)(const ON_Object *, ON_Object *), const char *sUUID)
| ~ON_ClassId ()
const char * | ClassName () const
const char * | BaseClassName () const
const ON_ClassId * | BaseClass () const
ON_BOOL32 | IsDerivedFrom (const ON_ClassId *potential_parent) const
ON_Object * | Create () const
ON_UUID | Uuid () const
int | Mark () const
unsigned int | ClassIdVersion () const

## Static Public Member Functions

static const ON_ClassId * | ClassId (const char *sClassName)
static const ON_ClassId * | ClassId (ON_UUID class_uuid)
static int | IncrementMark ()
static int | CurrentMark ()
static const ON_ClassId * | LastClassId ()
static int | Purge (int mark)
static bool | PurgeAfter (const ON_ClassId *pClassId)
static void | Dump (ON_TextLog &dump)

## Friends

class | ON_Object

## Detailed Description

Definition at line 42 of file opennurbs_object.h.

## Constructor & Destructor Documentation

## ON_ClassId() [1/2]

ON_ClassId::ON_ClassId | ( | const char * | sClassName,
|  | const char * | sBaseClassName,
|  | ON_Object *(*)() | create,
|  | const char * | sUUID
| ) |  |

## ON_ClassId() [2/2]

ON_ClassId::ON_ClassId | ( | const char * | sClassName,
|  | const char * | sBaseClassName,
|  | ON_Object *(*)() | create,
|  | bool(*)(const ON_Object *, ON_Object *) | copy,
|  | const char * | sUUID
| ) |  |

## ~ON_ClassId()

ON_ClassId::~ON_ClassId | ( |  | ) |

## Member Function Documentation

## BaseClass()

const ON_ClassId * ON_ClassId::BaseClass | ( |  | ) | const

## BaseClassName()

const char * ON_ClassId::BaseClassName | ( |  | ) | const

## ClassId() [1/2]

static const ON_ClassId * ON_ClassId::ClassId | ( | const char * | sClassName | ) |

static

## ClassId() [2/2]

static const ON_ClassId * ON_ClassId::ClassId | ( | ON_UUID | class_uuid | ) |

static

## ClassIdVersion()

unsigned int ON_ClassId::ClassIdVersion | ( |  | ) | const

## ClassName()

const char * ON_ClassId::ClassName | ( |  | ) | const

## Create()

ON_Object * ON_ClassId::Create | ( |  | ) | const

## CurrentMark()

static int ON_ClassId::CurrentMark | ( |  | ) |

static

## Dump()

static void ON_ClassId::Dump | ( | ON_TextLog & | dump | ) |

static

## IncrementMark()

static int ON_ClassId::IncrementMark | ( |  | ) |

static

## IsDerivedFrom()

ON_BOOL32 ON_ClassId::IsDerivedFrom | ( | const ON_ClassId * | potential_parent | ) | const

## LastClassId()

static const ON_ClassId * ON_ClassId::LastClassId | ( |  | ) |

static

## Mark()

int ON_ClassId::Mark | ( |  | ) | const

## Purge()

static int ON_ClassId::Purge | ( | int | mark | ) |

static

## PurgeAfter()

static bool ON_ClassId::PurgeAfter | ( | const ON_ClassId * | pClassId | ) |

static

## Uuid()

ON_UUID ON_ClassId::Uuid | ( |  | ) | const

## Friends And Related Symbol Documentation

## ON_Object

friend class ON_Object

friend

Definition at line 215 of file opennurbs_object.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_object.h